<mtr-table-container>
  <table mtr-table mtrSort [dataSource]="remoteDataSource">
    <tr mtr-header-row *mtrHeaderRowDef="['id', 'pickupDate']"></tr>
    <tr mtr-row *mtrRowDef="let row; columns: ['id', 'pickupDate'];"></tr>

    <!-- ID Column -->
    <ng-container mtrColumnDef="id">
      <th mtr-header-cell mtr-sort-header *mtrHeaderCellDef>ID</th>
      <td mtr-cell *mtrCellDef="let row"> {{row.id}} </td>
    </ng-container>

    <!-- Pick Up Date Column -->
    <ng-container mtrColumnDef="pickupDate">
      <th mtr-header-cell mtr-sort-header *mtrHeaderCellDef>Pick Up Date</th>
      <td mtr-cell *mtrCellDef="let row"> {{row.pickupDate}} </td>
    </ng-container>
  </table>
  <mtr-paginator></mtr-paginator>
</mtr-table-container>
